import { BaseItemDataModel } from "./base-item.mjs"

export default class ArmureDataModel extends BaseItemDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...this.defineBaseSchema(),
      state: new fields.StringField({ initial: "protege" }),
      protection: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      physicalPenalty: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      initiativePenalty: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      quantity: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      price: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      equipped: new fields.BooleanField({ initial: false }),
    }
  }
}
